Bug 1427123 - ejabberd-17.09 is available
Summary: ejabberd-17.09 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1412156 1415854 1426460 1434190 1434801 1434819 1434820 1435490 1451526 1459719 1459720 1468733
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-27 12:13 UTC by Upstream Release Monitoring
Modified: 2017-12-28 02:47 UTC (History)
6 users (show)

Fixed In Version: ejabberd-17.09-1.fc28 ejabberd-17.09-2.fc27
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-28 02:47:37 UTC


Attachments (Terms of Use)
[patch] Update to 17.03 (#1427123) (1.02 KB, patch)
2017-03-29 12:12 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-02-27 12:13:39 UTC
Latest upstream release: 17.03-beta
Current version/release in rawhide: 17.01-2.fc26
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/

Comment 1 Upstream Release Monitoring 2017-02-27 12:13:46 UTC
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues

Comment 2 Upstream Release Monitoring 2017-03-29 12:12:17 UTC
Latest upstream release: 17.03
Current version/release in rawhide: 17.01-2.fc26
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/

Comment 3 Upstream Release Monitoring 2017-03-29 12:12:25 UTC
Created attachment 1267291 [details]
[patch] Update to 17.03 (#1427123)

Comment 4 Upstream Release Monitoring 2017-03-29 12:26:23 UTC
hotness's scratch build of ejabberd-17.03-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=18662292

Comment 5 Upstream Release Monitoring 2017-04-12 00:12:40 UTC
Latest upstream release: 17.04
Current version/release in rawhide: 17.01-2.fc26
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/

Comment 6 Upstream Release Monitoring 2017-04-12 00:12:46 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 7 Upstream Release Monitoring 2017-06-13 12:12:30 UTC
Latest upstream release: 17.06-beta
Current version/release in rawhide: 17.01-2.fc26
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/

Comment 8 Upstream Release Monitoring 2017-06-13 12:12:38 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 9 Upstream Release Monitoring 2017-07-01 00:12:16 UTC
Latest upstream release: 17.06
Current version/release in rawhide: 17.01-2.fc26
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/

Comment 10 Upstream Release Monitoring 2017-07-01 00:12:23 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 11 Upstream Release Monitoring 2017-07-07 12:12:12 UTC
Latest upstream release: 17.07
Current version/release in rawhide: 17.01-2.fc26
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/

Comment 12 Upstream Release Monitoring 2017-07-07 12:12:18 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 13 Upstream Release Monitoring 2017-08-15 00:13:50 UTC
Latest upstream release: 17.08
Current version/release in rawhide: 17.01-4.fc27
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/

Comment 14 Upstream Release Monitoring 2017-08-15 00:13:56 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 15 Upstream Release Monitoring 2017-09-29 00:12:13 UTC
Latest upstream release: 17.09
Current version/release in rawhide: 17.01-5.fc28
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/667/

Comment 16 Upstream Release Monitoring 2017-09-29 00:12:35 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 17 Randy Barlow 2017-10-22 18:47:11 UTC
I've built ejabberd-17.07-2.fc28 for Rawhide and submitted ejabberd-17.07-1.fc27 to Bodhi:

https://bodhi.fedoraproject.org/updates/FEDORA-2017-ea86747c37

Comment 18 Fedora Update System 2017-11-11 06:33:05 UTC
erlang-xmpp-1.1.15-1.fc27 erlang-stringprep-1.0.10-1.fc27 erlang-p1_oauth2-0.6.2-1.fc27 erlang-iconv-1.0.6-1.fc27 erlang-fast_yaml-1.0.11-1.fc27 erlang-fast_xml-1.1.24-1.fc27 erlang-stun-1.0.15-1.fc27 erlang-fast_tls-1.0.16-1.fc27 erlang-esip-1.0.16-1.fc27 erlang-p1_utils-1.0.10-1.fc27 erlang-cache_tab-1.0.11-1.fc27 ejabberd-17.09-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb746cfd77

Comment 19 Fedora Update System 2017-11-12 02:41:36 UTC
ejabberd-17.09-1.fc27, erlang-cache_tab-1.0.11-1.fc27, erlang-esip-1.0.16-1.fc27, erlang-fast_tls-1.0.16-1.fc27, erlang-fast_xml-1.1.24-1.fc27, erlang-fast_yaml-1.0.11-1.fc27, erlang-iconv-1.0.6-1.fc27, erlang-p1_oauth2-0.6.2-1.fc27, erlang-p1_utils-1.0.10-1.fc27, erlang-stringprep-1.0.10-1.fc27, erlang-stun-1.0.15-1.fc27, erlang-xmpp-1.1.15-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb746cfd77

Comment 20 Fabrice Bellet 2017-11-16 17:52:14 UTC
Commit https://github.com/processone/ejabberd/commit/609a1d07cff1f4cc57856df0bda436edec86111c#diff-24ee795aed79c4b023e5d12276c97c80L43
and more precisely the change around line 43-44 prevents 17.09 to start.

Comment 21 Fedora Update System 2017-12-11 16:40:10 UTC
ejabberd-17.09-2.fc27 erlang-cache_tab-1.0.11-1.fc27 erlang-esip-1.0.16-1.fc27 erlang-fast_tls-1.0.16-1.fc27 erlang-fast_xml-1.1.24-1.fc27 erlang-fast_yaml-1.0.11-1.fc27 erlang-iconv-1.0.6-1.fc27 erlang-p1_oauth2-0.6.2-1.fc27 erlang-p1_utils-1.0.10-1.fc27 erlang-stringprep-1.0.10-1.fc27 erlang-stun-1.0.15-1.fc27 erlang-xmpp-1.1.15-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb746cfd77

Comment 22 Fedora Update System 2017-12-12 15:59:09 UTC
ejabberd-17.09-2.fc27, erlang-cache_tab-1.0.11-1.fc27, erlang-esip-1.0.16-1.fc27, erlang-fast_tls-1.0.16-1.fc27, erlang-fast_xml-1.1.24-1.fc27, erlang-fast_yaml-1.0.11-1.fc27, erlang-iconv-1.0.6-1.fc27, erlang-p1_oauth2-0.6.2-1.fc27, erlang-p1_utils-1.0.10-1.fc27, erlang-stringprep-1.0.10-1.fc27, erlang-stun-1.0.15-1.fc27, erlang-xmpp-1.1.15-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb746cfd77

Comment 23 Fedora Update System 2017-12-28 02:47:37 UTC
ejabberd-17.09-2.fc27, erlang-cache_tab-1.0.11-1.fc27, erlang-esip-1.0.16-1.fc27, erlang-fast_tls-1.0.16-1.fc27, erlang-fast_xml-1.1.24-1.fc27, erlang-fast_yaml-1.0.11-1.fc27, erlang-iconv-1.0.6-1.fc27, erlang-p1_oauth2-0.6.2-1.fc27, erlang-p1_utils-1.0.10-1.fc27, erlang-stringprep-1.0.10-1.fc27, erlang-stun-1.0.15-1.fc27, erlang-xmpp-1.1.15-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.